Lavalite package that provides status management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `status/status`.

    "status/status": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Status\Status\Providers\StatusServiceProvider::class,

And also add it to alias

    'Status'  => Status\Status\Facades\Status::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Status\\Status\\Seeders\\StatusTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Status\Status\Providers\StatusServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Status\Status\Providers\StatusServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Status\Status\Providers\StatusServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/status/{modulename}

**User**

    http://path-to-route-folder/user/status/{modulename}

**Public**

    http://path-to-route-folder/statuses


### API endpoints

**List**

    http://path-to-route-folder/api/user/status/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/status/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/status/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/status/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/status/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/status/{modulename}/{slug}
    METHOD: GET